# Uses of Record Class
org.apache.lucene.search.uhighlight.UHComponents

Packages that use UHComponents
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of UHComponents in org.apache.lucene.search.uhighlight

  Fields in org.apache.lucene.search.uhighlight declared as UHComponents
  Modifier and Type
  Field
  Description
  `protected final UHComponents`
  FieldOffsetStrategy.`components`
  Methods in org.apache.lucene.search.uhighlight that return UHComponents
  Modifier and Type
  Method
  Description
  `protected UHComponents`
  UnifiedHighlighter.`getHighlightComponents(String field, Query query, Set<Term> allTerms)`
  Methods in org.apache.lucene.search.uhighlight with parameters of type UHComponents
  Modifier and Type
  Method
  Description
  `protected FieldOffsetStrategy`
  UnifiedHighlighter.`getOffsetStrategy(UnifiedHighlighter.OffsetSource offsetSource, UHComponents components)`
  `protected UnifiedHighlighter.OffsetSource`
  UnifiedHighlighter.`getOptimizedOffsetSource(UHComponents components)`
  Constructors in org.apache.lucene.search.uhighlight with parameters of type UHComponents
  Modifier
  Constructor
  Description
  ``
  `AnalysisOffsetStrategy(UHComponents components, Analyzer analyzer)`
  ``
  `FieldOffsetStrategy(UHComponents components)`
  ``
  `MemoryIndexOffsetStrategy(UHComponents components, Analyzer analyzer)`
  ``
  `PostingsOffsetStrategy(UHComponents components)`
  ``
  `PostingsWithTermVectorsOffsetStrategy(UHComponents components)`
  ``
  `TermVectorOffsetStrategy(UHComponents components)`
  ``
  `TokenStreamOffsetStrategy(UHComponents components, Analyzer indexAnalyzer)`